Package net.shibboleth.idp.plugin.authn.webauthn.context

# Class InlineEnrolmentContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.plugin.authn.webauthn.context.InlineEnrolmentContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class InlineEnrolmentContext extends BaseContext
A context that holds information about a resumable SSO flow.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private URL`
`ssoUrl`
The URL to redirect the user to once the flow has ended.

## Constructor Summary

Constructors
Constructor
Description
`InlineEnrolmentContext()`

## Method Summary

Modifier and Type
Method
Description
`URL`
`getSsoUrl()`
Get the URL to redirect the user to after the flow has ended.
`InlineEnrolmentContext`
`setSsoUrl(URL url)`
Set the URL to redirect the user to after the flow has ended.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### ssoUrl

@Nullable private URL ssoUrl
The URL to redirect the user to once the flow has ended.

## Constructor Details

### InlineEnrolmentContext

public InlineEnrolmentContext()

## Method Details

### setSsoUrl

public InlineEnrolmentContext setSsoUrl(@Nullable URL url)
Set the URL to redirect the user to after the flow has ended.

Parameters:
  `url` - The sso Url to set.
Returns:
  this context

### getSsoUrl

@Nullable public URL getSsoUrl()
Get the URL to redirect the user to after the flow has ended.

Returns:
  the sso Url.